drkns 2023-05-08 19:32:14+01:00 - build 209

1. Enable consteval in fmt.

drkns 2023-04-04 17:24:23+01:00 - build 208

1. Correction of 207.

2. Deadlock in handles reading.

drkns 2023-01-10 17:41:03+00:00 - build 207

1. gh-604 again.

drkns 2023-01-09 23:58:25+00:00 - build 206

1. gh-604: Process list plugin does not synchronize sort modes menu with sort order.

drkns 2022-10-31 17:38:11+00:00 - build 205

1. Continue 204.

drkns 2022-10-29 17:31:51+01:00 - build 204

1. More robust perf data read.

drkns 2021-11-14 18:48:42+00:00 - build 203

1. Move WMI refresh to a separate thread.

2. Fix other refresh-related issues.

drkns 2021-06-29 01:43:50+01:00 - build 202

1. Refresh the panel using ACTL_SYNCHRO.

drkns 2020-10-25 19:00:44+00:00 - build 201

1. An attempt to fix M#0003823 - performance counters can't be read on localised OS.

drkns 2020-09-20 01:27:58+01:00 - build 200

1. Various sort menu fixes and improvements.

2. Minor corrections.

drkns 2020-04-23 01:45:14+03:00 - build 199

1. Некорректное отображение имен некоторых хендлов.

drkns 2020-04-19 01:44:38+03:00 - build 198

1. Продолжение 197.

drkns 2020-04-18 18:47:55+03:00 - build 197

1. Рефакторинг. Том III. Используем fmt вместо printf.

drkns 2020-04-17 20:21:44+03:00 - build 196

1. Forum: Process List plugin does not show environment and command line
   x86 версия чудовищно работала в WOW64.

drkns 2020-04-17 03:04:16+03:00 - build 195

1. Добавлено получение командной строки через WMI.

drkns 2020-04-16 19:38:03+03:00 - build 194

1. В 193 отвалилось получение битности процессов.

2. Не работало отображение _Total.

drkns 2020-04-11 03:32:43+03:00 - build 193

1. Рефакторинг. Том II.

2. Ещё кое-где сняты ограничения на длину строк.

3. Поддержка float-форматирования размеров в стиле Far.

4. Исправлены баги, как новые, так и старые.

drkns 2020-04-01 23:49:29+03:00 - build 192

1. Рефакторинг. Том I.

2. Форматирование.

3. Во многих местах сняты ограничения на длину строк.

4. Не работало отображение хендлов.

5. Неправильно рассчитывался аптайм процессов.

6. Не работала индикация режима сортировки.

drkns 2020-03-25 10:32:35+02:00 - build 191

1. Incorrect COM initialisation.

drkns 2020-02-04 19:06:35+00:00 - build 190

1. Correction of 189.

drkns 2020-01-22 01:30:39+00:00 - build 189

1. 0003764: FAR/ProcessList x64 doesn't show modules for 32-bit .exe

drkns 2018-11-18 23:16:41+00:00 - build 188

1. Некорректная работа с настройками - более одного экземпляра PluginSettings.

drkns 2018-04-23 22:28:15+01:00 - build 187

1. С форума - долго закрывается панель плагина.

drkns 2017-11-12 20:00:38+00:00 - build 186

1. 0003552: В деталях процесса в CommandLine 128-ой символ строки *всегда* заменяется на символ "*" (звездочка) - его кто-то перезаписывает

drkns 2016-11-19 12:30:09+02:00 - build 185

1. Размер колонок XI и XC по умолчанию 6.

drkns 2016-06-15 19:00:05+02:00 - build 184

1. Вернём хак с атрибутами.

drkns 2016-06-15 01:27:45+02:00 - build 183

1. Восстановим работоспособность колонки XB (битность процесса, 32/64) и включим её по умолчанию в 1 и 3 режимах.

2. В связи с #1 хака с атрибутами больше нет.

3. Убираем не до конца убранный в 166 мусор.

w17 2015-08-14 23:57:07+03:00 - build 182

1. avoid using float numbers

zg 2015-03-20 23:42:22+02:00 - build 181

1. Far 3.0 API 4321

drkns 2013-11-13 22:09:58+02:00 - build 180

1. Убираем DisableThreadLibraryCalls.
   MSDN: Do not call this function from a DLL that is linked to the static C run-time library (CRT).
   The static CRT requires DLL_THREAD_ATTACH and DLL_THREAD_DETATCH notifications to function properly.

t-rex 2012-10-07 16:14:13+02:00 - build 179

1. GCC warnings.

t-rex 2012-10-06 20:03:33+02:00 - build 178

1. x64 warnings.

zg 2012-09-23 21:16:14+02:00 - build 177

1. Far 3.0 API 2834

zg 2012-09-23 17:51:51+02:00 - build 176

1. Far 3.0 API 2830

zg 2012-09-19 00:19:36+02:00 - build 175

1. Far 3.0 API 2808

zg 2012-09-16 19:00:26+02:00 - build 174

1. Far 3.0 API 2802

zg 2012-09-16 15:12:00+02:00 - build 173

1. Far 3.0 API 2799

zg 2012-03-26 16:10:24+02:00 - build 172

1. Far 3.0 API 2572

drkns 2012-02-06 13:43:35+02:00 - build 171

1. Пара багов.

2. Warnings.

drkns 2012-01-22 15:00:47+02:00 - build 170

1. Far 3 api.

t-rex 2012-01-13 19:46:10+02:00 - build 169

1. Far 3.0 2373

svs 2011-08-22 16:08:18+03:00 - build 168

1. Far 3 API 2105

svs 2011-07-06 10:27:41+03:00 - build 167

1. Убираем "Копипасте"

drkns 2011-07-01 20:30:40+02:00 - build 166

1. Убираем визуальные глюки.

2. Убираем весь 9x/NT4 мусор.

3. Убираем дикую смесь из new[]/malloc + delete.

4. Убираем предупреждения компилятора.

svs 2011-06-30 12:12:05+03:00

1. АПИ 3.0. Начало (собирается, но пока визуально глючит)

t-rex 2011-02-06 00:26:48+02:00

1. lng,hlf -> utf8, reg -> Far2

svs 2011-01-17 14:20:20+03:00 - build 165

1. Mantis#0000729: Resource leaks в плагине Proclist.
   (from alexeypa)
   Патч исправляет три проблемы:
     1. Помещает CoInitialize и CoUninitialize в более подходящее место.
     2. Вместо влияющей на весь процесс CoInitializeSecurity используется CoSetProxyBlanket, которая влияет только на конктерный COM proxy.
     3. Ставится cloacking mode, при котором SeDebugPrivilege подхватывается WMI сервером.

svs 2011-01-14 10:06:58+03:00 - build 164

1. Mantis#0001657: ProcList валит Far, если во время обработки F4 процесс закрывается
   (from Maximus)

2. Форматирование кода
   AStyle --style=ansi --indent=tab=4 --brackets=break --indent-classes --indent-switches --indent-namespaces --indent-preprocessor --break-blocks --delete-empty-lines --unpad-paren --keep-one-line-statements --keep-one-line-blocks "!\!.!"

drkns 2010-10-15 13:23:23+02:00 - build 163

1. Из W-версии убрана опция "Добавить к меню дисков::Клавиша доступа"

t-rex 2010-05-04 21:53:33+02:00 - build 162

1. Странные глюки из за бага в 161.

t-rex 2010-05-01 00:26:37+02:00 - build 161

1. Mantis#1342: Падение при использовании ключа /u со слишком длинным параметром.

drkns 2010-05-30 10:16:16+02:00 - build 160

1. Far 2.0.1529.

t-rex 2010-01-10 23:26:16+02:00 - build 159

1. NM -> MAX_PATH

drkns 2010-01-09 14:17:27+02:00 - build 158

1. Far 2.0.1327.

drkns 2010-01-09 12:59:15+02:00 - build 157

1. Far 2.0.1325.

zg 2010-01-07 19:19:24+02:00 - build 156

1. far 2.0.1317.

garry 2009-12-03 12:07:42+03:00 - build 155

1. Проблемы в Unicode версии с коннектом через WMI к удалённой машине (в частности Mantis#1196).

t-rex 2009-10-26 17:05:38+02:00 - build 154

1. Переделка GetMinFarVersion.

t-rex 2009-10-20 21:15:59+02:00

1. Mantis#1127: Несоответствие регистра в названиях файлов.

svs 2009-09-16 12:18:59+03:00 - build 153

1. Mantis#0001057: Far Manager версия 1.75 build 2605, x86 При выборе Alt+F1/Alt+F2 -> Process List Вылетает 

t-rex 2009-06-09 14:58:31+02:00 - build 152

1. Убрал немного GCC ворнингов.

t-rex 2009-05-31 15:35:52+02:00 - build 151

1. Mantis#755: Proclist ограничивает Command Line процессов 
   
2. За одно исправил проблему вывода длинных строк из за того что наш "fprintf" юзал wvsprintf у которого буффер 1024.
   Решение в лоб.

t-rex 2009-03-07 18:16:18+02:00 - build 150

1. Mantis#696: Некоректная проверка на валидность MsgID в x64.

zg 2009-02-23 23:23:26+02:00 - build 149

1. Адаптация к новому PanelAPI в 2.0.789.

2. в build 146 сломался enter.

svs 2009-02-20 13:07:37+03:00 - build 148

1. Mantis#0000729: Resource leaks в плагине Proclist.
   (from alexeypa)
   1. Fixed resource leaks when enabling debug priviledge;
   2. Fixed CoInitialize/CoUninitialize balancing;
   3. The event hEvtRefreshDone was used before it was created.

svs 2009-02-19 13:26:32+03:00 - build 147

1. Mantis#0000747: Плагины align, proclist и network: функция SetRegKey неверно вычисляет размер буфера в Unicode версии. 
   (from alexeypa)

drkns 2009-01-27 16:09:51+02:00 - build 146

1. Адаптация к новому PanelAPI в 2.0.753.

zg 2009-01-20 17:05:40+02:00 - build 145

1. Mantis#707.

zg 2009-01-15 16:06:45+02:00 - build 144

1. криво отрезалось "\??\" в уникодной версии.

t-rex 2008-12-21 02:40:33+02:00 - build 143

1. Far 2.0 build 677

drkns 2008-09-05 10:16:03+02:00 - build 142

1. Адаптация к новому PanelAPI в 1.8.

drkns 2008-08-31 14:30:55+02:00 - build 141

1. Адаптация к новому PanelAPI в 1.8.

t-rex 2008-06-14 15:16:45+02:00 - build 140

1. Не собиралась GCC юникод версия.

yjh 2008-06-14 00:50:02+03:00

1. Версия не менялась - синхронизация с новыми названиями констант в 1.8

t-rex 2008-03-08 14:06:08+02:00 - build 139

1. Mantis#471: Неправильное отображение времени процессов.
   Fixed by Vadikus.

t-rex 2008-03-08 13:43:53+02:00

1. Mantis#385.

yjh 2007-11-17 20:54:58+03:00

1. Коррекция MinFARVersion для нового DialogAPI 1,80


yjh 2007-11-17 20:10:37+03:00 - build 138

1. Работа с новым DialogAPI в 1.8.


yjh 2007-11-13 00:17:07+03:00

1. Выкинуты макросы переехавшие в crt.hpp


yjh 2007-11-12 02:19:35+03:00 - build 137

1. В связи с расширением CRT окончательно убрана зависимость от libcmt.lib


yjh 2007-11-11 22:05:33+03:00 - build 137

1. Добавлен GetMinFARVersion (для 1.8)


yjh 2007-11-11 21:38:21+03:00 - 136

1. Правильное(обычное) имя define для проверки 64битовой в обходе ошибки mslink


yjh 2007-11-11 21:29:35+03:00 - 136

1. Адаптация к новому PluginAPI

2. Убрана попытка освобождения хипа по невалидному указателю в WMI

3. Добавлен более корректный способ ошибки в ms-link  


yjh 2007-10-01 22:29:35+03:00 - 135

1. Issue 332 (двойное CharToOem имени процесса при работе со списком с
   удалённого компьютера). Правка сделана в ProcListNT, а не в WMI, что бы 
   не приходилось делать ветки для 1.80.
   ATT: не правилось для в w95 (проверить сейчас не на чем :)

2. Убраны два предупреждения для 1.8 и одно для x64. Больше не осталось :)

3. makefile "нормализован" относительно libCRT и ошибок mslink :)

yjh 2007-07-08 05:49:13+03:00 - 134

1. Экспорт в W-форме для GetFiles был не корректен (разница в константности)
   ms-link, естественно, молчал в тряпочку :)

2. По просьбе t-rex сделан _tmemset

3. Унификация makefile

yjh 2007-07-07 09:45:13+03:00

1. Починен префикс для вьювера

yjh 2007-07-07 06:56:35+03:00 - 133

1. Убрана заглушка обхода ошибки 1.80 в части кнопок (починено в фаре)
   (TODO:б,г). Заодно там же починено TODO:в :)

2. Починен TODO:а (мусор в цифровых колонках)

3. TODO:д откладывается поскольку 1.8 (без плугинов) при попытке запуска
   в 98й грит 'cannot load language data'

t-rex 2007-07-06 19:33:23+02:00

1. Пару мелких фиксов для сборки gcc.

yjh 2007-07-06 16:56:35+03:00 - 132

1. Первичное портирование в 1.80.

TODO: а) "мусор" в 1.80 в некоторых цифровых колонках
      б) Вместо F3 (по ShiftF3) в ProcessKey приходит 0x80052!
         Это баг фара, пока (что бы можно было тестировать) сделана
         заглушка помеченная как BUGBUG
      в) Релиз фара "гробится" на выходе из вьювера! Причём до возврата
         управление в proclist. Дебаговая сборка - работает.
      г) Неизвестно работает ли Shift-F6 (remote) - у меня оно и в A/old
         не работает :)
      д) Надо проверить работает ли VersionInfo в Win95 (с лейером/без?)

---------------
yjh 2007-07-06 11:16:31+03:00 - 131

1. Убрано два memory leak при AltF3 (формирование временного файла)

yjh 2007-07-06 07:08:11+03:00

1. Использование макроса ArraySize. Частично повышения читабельности для, а
   частично в плане подготовки к портированию в 1.8

yjh 2007-07-06 05:37:23+03:00 - 130

1. Бит RO ставится только для 32хбитовых процессов в win64 - иначе проблемы
   с масками в win32

yjh 2007-07-06 04:48:19+03:00

1. Оптимизация динамического биндинга (и кода меньше и проще будет переводить
   в unicode)

2. Убрано пара мелких ляпов вокруг динамически подключаемых процедур

3. В makefile добавлена "забытое" определение для unicode

yjh 2007-07-03 23:26:11+03:00 - 129

1. _Total маркируется как 64хбитовый в Far64 и не маркируется в Far32

zg 2007-07-03 19:44:47+03:00

1. добавлен флаг OPIF_USEATTRHIGHLIGHTING.

yjh 2007-07-03 18:44:47+03:00

1. Для 64хбитовых процессов ставить FILE_ATTRIBUTE_READONLY

yjh 2007-08-17 00:07:17+03:00

1. Замена memicmp на _memicmp в качестве подготовки к vc8 :)

t-rex 2007-02-07 17:53:10+02:00 - 128

1. Ужасные баги с историей в x64.


t-rex 2007-02-06 01:07:41+02:00

1. Общий мэйк файл для x64 и x86 для VC.


t-rex 2006-12-04 07:11:08+02:00 - build 127

1. Сборка для x64 + мэйк для VC.
   Вроде бы не поломал 32бит сборку - хотя пошаманил конкретно.
   В x64 вроде как как работает всё кроме "[x] Handles (local NT only)" который работает примерно наполовину.

2. Начинаем писать changelog, я сделал себе макрос
   "t - r e x Space $Date \"%d.%m0.%Y %H:%M:%S %Z\" Enter"
   чтоб выводить заголовок changelog-а.
   Последующие логи надо писать сверху - т.е. файл будет идти хронологически снизу вверх.
   В changelog прошу писать в Win кодировке.
